jumping = PlayerCanJump()

quality = GetQualityLevel() -- GetQualityLevel returns 1,2,or 3
hifi = quality > 2
function ifhifi(if_true, if_false)
  if hifi then return if_true else return if_false end
end

function lowMedHigh(if_low, if_med, if_high)
	if quality <= 1 then return if_low
	elseif quality == 2 then return if_med
	else return if_high end
end

skinvars = GetSkinProperties()
trackWidth = skinvars["trackwidth"]

SetScene{
	glowpasses = ifhifi(4,0),
	glowspread = ifhifi(0.5,0),
	radialblur_strength = 0,
	watertint = {r=255,g=255,b=255,a=234},
	watertype = 2,
	watertexture = "WaterCubesBlue_BlackTop_WhiteLowerTier.png",
	dynamicFOV = false,
	airdebris_count = ifhifi(500,100),
	airdebris_density = ifhifi(10,2),
	towropes = jumping,--use the tow ropes if jumping
	useblackgrid=fase,
	twistmode="cork",
	ambientlight={127,127,127},
}

if jumping then
	SetPlayer{
		cameramode = "first_jumpthird",

		camfirst={ --sets the camera position when in first person mode. Can change this while the game is running.
			pos={0,2.7,-3.50475},--2.7
			rot={20.49113,0,0},
			strafefactor = 1
		},
		camthird={ --sets the two camera positions for 3rd person mode. lerps out towards pos2 when the song is less intense
			pos={0,2.7,-3.50475},
			rot={20.49113,0,0},
			strafefactor = 0.75,
			pos2={0,2.8,-3.50475},
			rot2={20.49113,0,0},
			strafefactorFar = 1},
		surfer={ --set all the models used to represent the surfer
			arms={
				--mesh="arm.obj",
				shader="Transparent/Diffuse",
				--shader = "VertexColorUnlitTinted",
				shadercolors={
					_Color={r=127,g=127,b=127,a=226}
				},
				shadowcaster = false,
				shadowreceiver = false,
				recalculateNormals = false,
				texture="FullLeftArm_1024_wAO_Neg.png"
			},
			body={
	--			mesh = "staggersphere.obj",
				shader = "MatCap/Vertex/Textured Lit",
				shadercolors={
					_Color={colorsource="highway", scaletype="intensity", minscaler=.8, maxscaler=.8}
				},
				textures={
					_MainTex = "iRobot_AO.png",
					_MatCap = "MatCap_BS3.jpg"
				},
				shadowcaster = false,
				shadowreceiver = false
			}
		}
	}
else
	SetPlayer{
		cameramode = "third",

		camfirst={
			pos={0,1.84,-0.8},
			rot={20,0,0}},
		camthird={
			pos={0,2,-0.5},
			rot={30,0,0},
			strafefactor = 0.75,
			pos2={0,5,-4},
			rot2={30,0,0},
			strafefactorFar = 1,
			transitionspeed = 1,
			puzzleoffset=-0.85,
			puzzleoffset2=-1.75},
		vehicle={ --livecoding not supported here
			min_hover_height= 0.4,
			max_hover_height = 0.8, -- 0.75
			use_water_rooster = false,
			water_rooster_z_offset = -1.04,
            smooth_tilting = true,
            smooth_tilting_speed = 10,
            smooth_tilting_max_offset = -20,
			pos={x=0,y=0,z=0},
			mesh="normandy.obj",
			shader="Diffuse",
			texture="normandy.png",
			scale = {x=1,y=1,z=1},
			thrusters = {crossSectionShape={{-.35,-.35,0},{-.5,0,0},{-.35,.35,0},{0,.5,0},{.35,.35,0},{.5,0,0},{.35,-.35,0}},
						perShapeNodeColorScalers={.5,1,1,1,1,1,.5},
						extrusions=22,
						stretch=-0.1191,
						updateseconds = 0.025,
						instances={
							{pos={-.61,.2,-1.33},rot={0,0,0},scale={.2,.2,.6}},
							{pos={-.335,.3,-1.33},rot={0,0,0},scale={.4,.4,.8}},
							{pos={.335,.3,-1.33},rot={0,0,0},scale={.4,.4,.8}},
							{pos={.61,.2,-1.33},rot={0,0,0},scale={.2,.2,.6}},
						}}
		}
	}
end
if not jumping then
	local laneDividers = skinvars["lanedividers"]
	for i=1,#laneDividers do
		CreateRail{
			positionOffset={
				x=laneDividers[i],
				y=0.1},
			crossSectionShape={
				{x=-.07,y=0},
				{x=.07,y=0}},
			perShapeNodeColorScalers={
				1,
				1},
			colorMode="static",
			color = {r=255,g=255,b=255},
			flatten=false,
			nodeskip = 2,
			wrapnodeshape = true,
			shader="VertexColorUnlitTinted"
		}
	end
end

SetSkybox{
	sky={
		month=2,
		hour=20,
		minute=50,
		longitude=190,--175,
		cloudmaxheight=1.2,
		cloudminheight=-1.2,
		clouddensity=lowMedHigh(.1,.4,.5),
		cirrusposition=0,
		useProceduralAmbientLight = true,
		useProceduralSunLight = true
	}
}

CreateObject{ --creates a uniquely named prototype (prefab) that can be used later in the script or by the mod script. The audiosprint mod uses prototypes created in it's skin script
	name="BuildingCloneMe",
	gameobject={
		pos={x=0,y=0,z=0},
		--mesh="skyscraper42.obj",
		mesh="reaper.obj",
		--shader="VertexColorUnlitTintedAlpha",
		shader="Diffuse",
		shadercolors={
			_Color={r=0,g=0,b=0}
			--_Color="highwaysmooth"
			--_Color = {colorsource="highway", scaletype="intensity", minscaler=6, maxscaler=6}
			--_Color = {colorsource="highway", scaletype="intensity", minscaler=2, maxscaler=2}
		},
		texture="reapertex.png",
		--texture="skyscraper.png",
		scale = {x=1,y=1,z=1}
	}
}

track = GetTrack()--get the track data from the game engine


if buildingNodes == nil then
	buildingNodes = {} --the track is made of nodes, each one with a position and rotation. This table will hold the indices of track nods that should have a skyscraper rendered at them (with some offset)
	offsets = {}
	buildingNodesToo = {}
	offsetsToo = {}
	for i=1,#track do
		if i%80==0 then
			buildingNodes[#buildingNodes+1] = i
			local xOffset = 150 + 1650*math.random()
			if math.random() > 0.5 then xOffset = xOffset * -1 end
			offsets[#offsets+1] = {xOffset,-100,0}
		end

--		if (i+40)%120==0 then
--			buildingNodesToo[#buildingNodesToo+1] = i
--			local xOffset = 150 + 1650*math.random()
--			if math.random() > 0.5 then xOffset = xOffset * -1 end
--			offsetsToo[#offsetsToo+1] = {xOffset,-100,0}
--		end
	end

	BatchRenderEveryFrame{prefabName="BuildingCloneMe", --tell the game to render these prefabs in a batch (with Graphics.DrawMesh) every frame
							locations=buildingNodes,
                    		rotateWithTrack=false,
                    		maxShown=20,
                    		maxDistanceShown=2000,
							offsets=offsets,
							collisionLayer = 1,--will collision test with other batch-rendered objects on the same layer. set less than 0 for no other-object collision testing
							testAndHideIfCollideWithTrack=true --if true, it checks each render location against a ray down the center of the track for collision. Any hits are not rendered
						}

--	BatchRenderEveryFrame{prefabName="BuildingCloneMeToo", --tell the game to render these prefabs in a batch (with Graphics.DrawMesh) every frame
--							locations=buildingNodesToo,
--                    		rotateWithTrack=false,
--                    		maxShown=50,
--                    		maxDistanceShown=2000,
--							offsets=offsetsToo,
--							collisionLayer = 1,--will collision test with other batch-rendered objects on the same layer. set less than 0 for no other-object collision testing
--							testAndHideIfCollideWithTrack=true --if true, it checks each render location against a ray down the center of the track for collision. Any hits are not rendered
--						}
end

CreateObject{
	name="EndCookie",
	tracknode="end",
	gameobject={
		transform={pos={0,0,126},scale={scaletype="intensity",min={55,99,900},max={66,120,900}}},
		mesh="danishCookie_boxes.obj",
		shader="RimLightHatched",
		shadercolors={
			_Color={0,0,0},
			_RimColor={1,1,1}
		}
	}
}

--CreateObject{
--	gameobject={
--			name = "instancedMaterial_QuestionMark",
--			mesh = "staggersphere.obj",
--			shader = "MatCap/Vertex/Textured Lit"
--	}
--}

CreateObject{--skywires
	railoffset=0,
	floatonwaterwaves = false,
	gameobject={
		name="scriptSkyWires",
		pos={x=0,y=0,z=0},
		mesh="skywires.obj",
		renderqueue=1000,
		layer=18,
		shader="VertexColorUnlitTintedSkywire",
		shadercolors={
			_Color="highway" --{r=255,g=0,b=0}
		},
		texture="White.png",
		scale = {x=1,y=1,z=1},
		lookat = "end"
	}
}

SetTrackColors{
    {r=151, g=255, b=252},
    {r=104, g=239, b=84},
	{r=255, g=255, b=0},
    {r=255,g=174,b=31},
	{r=1, g=0, b=0}
}

SetBlockColors{
    {r=93, g=8, b=132},
	{r=1.0, g=0.27, b=0.2},
    {r=0.047, g=0.5098, b=0.94},
    {r=1.0, g=0.85, b=0.4157},
	{r=0, g=0.29, b=0.08},
    {r=1,g=0,b=0}
}

SetRings{ --setup the tracks tunnel rings. the airtexture is the tunnel used when you're up in a jump
	texture="circle.png",
	--texture="Classic_OnBlack",
	shader="VertexColorUnlitTintedAddSmooth",
	size=28,
	percentringed=.2,
	airtexture="Bits.png",
	airshader="VertexColorUnlitTintedAddSmoothNoDepth",
	airsize=16
}

if jumping then wakeHeight=3 else wakeHeight = 0 end
SetWake{ --setup the spray coming from the two pulling "boats"
	height = wakeHeight,
	fallrate = 0.95,
	shader = "VertexColorUnlitTinted",
	layer = 13,
	bottomcolor = {r=114,g=148,b=255},
	topcolor = {r=0,g=0,b=0}
}

--RAILS. rails are the bulk of the graphics in audiosurf. Each one is a 2D shape extruded down the length of the track.

CreateRail{--big cliff
	positionOffset={
		x=0,
		y=-2},
	crossSectionShape={
			{x=11,y=-2},
		{x=22,y=-11},
		{x=22,y=-40},
		{x=-22,y=-40},
		{x=-22,y=-11},
		{x=-11,y=-2}
		},
	perShapeNodeColorScalers={
		1,
		1,
		.4,
		.4,
		1,
		1},
	colorMode="highway",
	color = {r=255,g=255,b=255,a=175},
	flatten=false,
	stretch=4,
	wrapnodeshape = true,
	layer = 13,
	texture="White.png",
	fullfuture = true,
	shader="VertexColorUnlitTintedAlpha"
}

--[[
CreateRail{--future water
	positionOffset={
		x=0,
		y=0},
	crossSectionShape={
		{x=-9,y=-5},
		{x=9,y=-5},
		{x=9,y=-8},
		{x=-9,y=-8}},
	perShapeNodeColorScalers={
		1,
		1,
		1,
		1},
	colorMode="static",
	color = {r=127,g=127,b=127},
	flatten=true,
	futureonly=true,
	texture="White.png",
	shader="VertexColorUnlitTinted"
}
--]]

CreateRail{--left aurora core
	positionOffset={
		x=-18,
		y=-5},
	crossSectionShape={
		{x=-13,y=.5},
		{x=-9,y=.5},
		{x=-9,y=-.5},
		{x=-13,y=-.5}},
	perShapeNodeColorScalers={
		1,
		1,
		1,
		1},
	colorMode="highway",
	color = {r=255,g=255,b=255},
	flatten=true,
	texture="White.png",
	shader="VertexColorUnlitTinted"
}

CreateRail{--right aurora core
	positionOffset={
		x=18,
		y=-5},
	crossSectionShape={
		{x=9,y=.5},
		{x=13,y=.5},
		{x=13,y=-.5},
		{x=9,y=-.5}},
	perShapeNodeColorScalers={
		1,
		1,
		1,
		1},
	colorMode="highway",
	color = {r=255,g=255,b=255},
	flatten=true,
	texture="White.png",
	shader="VertexColorUnlitTinted"
}

CreateRail{--left aurora
	positionOffset={
		x=-18,
		y=0},
	crossSectionShape={
		{x=-77,y=.5},
		{x=-11,y=.5},
		{x=-11,y=-.5},
		{x=-77,y=-.5}},
	perShapeNodeColorScalers={
		0,
		1,
		1,
		0},
	colorMode="aurora",
	color = {r=255,g=255,b=255},
	flatten=true,
    layer=13,
	texture="White.png",
	shader="VertexColorUnlitTintedAddSmoothNoCull"
}

CreateRail{--right aurora
	positionOffset={
		x=18,
		y=0},
	crossSectionShape={
		{x=11,y=.5},
		{x=77,y=.5},
		{x=77,y=-.5},
		{x=11,y=-.5}},
	perShapeNodeColorScalers={
		1,
		0,
		0,
		1},
	colorMode="aurora",
	color = {r=255,g=255,b=255},
	flatten=true,
    layer=13,
	texture="White.png",
	shader="VertexColorUnlitTintedAddSmoothNoCull"
}